linux-ec2: 2.6.32-347.52 -proposed tracker

Bug #1029177 reported by Brad Figg on 2012-07-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Stefan Bader
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Luis Henriques
Verification-testing
Undecided
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 25. July 2012 23:32 UTC
kernel-stable-Certification-testing-end:Wednesday, 25. July 2012 23:46 UTC
kernel-stable-Prepare-package-end:Friday, 27. July 2012 16:00 UTC
kernel-stable-Promote-to-proposed-start:Friday, 27. July 2012 16:00 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 28. July 2012 01:00 UTC
kernel-stable-Verification-testing-start:Saturday, 28. July 2012 02:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 31. July 2012 13:46 UTC
kernel-stable-Verification-testing-end:Tuesday, 31. July 2012 13:45 UTC
kernel-stable-Regression-testing-start:Tuesday, 31. July 2012 13:46 UTC
kernel-stable-Security-signoff-end:Tuesday, 31. July 2012 22:46 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 08. August 2012 02:01 UTC
kernel-stable-Regression-testing-end:Wednesday, 08. August 2012 02:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 10. August 2012 00:32 UTC
kernel-stable-Promote-to-updates-end:Friday, 10. August 2012 00:32 UTC

CVE References

This tracking bug was opened to be worked from linux-2.6.32-42.95 update (bug 1027831)

tags: added: kernel-release-tracking-bug
Changed in linux-ec2 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-07-25
description: updated
Stefan Bader (smb) on 2012-07-26
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-347.52 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Accepted to -proposed earlier, overrides just now fixed.

Brad Figg (brad-figg) on 2012-07-28
description: updated
Brad Figg (brad-figg) on 2012-07-28
description: updated
Herton R. Krzesinski (herton) wrote :

Nothing specific to verify for ec2, lucid main bugs verified, moving to testing.

Brad Figg (brad-figg) on 2012-07-31
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-07-31
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-08-08
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Adam Conrad (adconrad) wrote :

Released to both -updates and -security

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-347.52

---------------
linux-ec2 (2.6.32-347.52) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebase to Ubuntu-2.6.32-42.95
  * Release Tracking Bug
    - LP: #1029177

  [ Ubuntu: 2.6.32-42.95 ]

  * hugetlb: fix resv_map leak in error path
    - LP: #1004621
    - CVE-2012-2390
  * mm: fix vma_resv_map() NULL pointer
    - LP: #1004621
    - CVE-2012-2390
  * net: sock: validate data_len before allocating skb in
    sock_alloc_send_pskb()
    - LP: #1006622
    - CVE-2012-2136
  * 2.6.32.x: ntp: Fix leap-second hrtimer livelock
    - LP: #1020285
  * 2.6.32.x: ntp: Correct TAI offset during leap second
    - LP: #1020285
  * 2.6.32.x: timekeeping: Fix CLOCK_MONOTONIC inconsistency during
    leapsecond
    - LP: #1020285
  * 2.6.32.x: time: Move common updates to a function
    - LP: #1020285
  * 2.6.32.x: hrtimer: Provide clock_was_set_delayed()
    - LP: #1020285
  * 2.6.32.x: timekeeping: Fix leapsecond triggered load spike issue
    - LP: #1020285
  * 2.6.32.x: timekeeping: Maintain ktime_t based offsets for hrtimers
    - LP: #1020285
  * 2.6.32.x: hrtimers: Move lock held region in hrtimer_interrupt()
    - LP: #1020285
  * 2.6.32.x: timekeeping: Provide hrtimer update function
    - LP: #1020285
  * 2.6.32.x: hrtimer: Update hrtimer base offsets each hrtimer_interrupt
    - LP: #1020285
  * 2.6.32.x: timekeeping: Add missing update call in timekeeping_resume()
    - LP: #1020285

  [ Ubuntu: 2.6.32-41.94 ]

  * fix ABI directory naming
 -- Stefan Bader <email address hidden> Thu, 26 Jul 2012 18:38:08 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Adam Conrad (adconrad) on 2013-01-07
Changed in linux-ec2 (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers